; -----------------------------------------------------------------------------
; AVIEW V4.8 Sample control-file, DON'T USE TABS!
; -----------------------------------------------------------------------------
;
;
; ALTERNATELAYOUT
; With this command you can select the alternate screen-layout of the
; archive-lister as default (With full-path), this option works like a
; toggle in AVIEW by pressing ALT-L.
;ALTERNATELAYOUT
;
;
;
; DATEFORMAT <Dateformat>
; With this statement you can define how the file-date is shown, include
; MM for month, DD for day and YY for year, the sepparation-chars can be
; freely defined, default is MM/DD/YY
DATEFORMAT MM/DD/YY
;
;
;
; EDITOR <Trigger> <Editor> [<Parameters>]
; With this command you can define up to 64 editors, with <Trigger> you
; specify the file-extension which must trigger the editor, the <Trigger>
; may include wildcards. Default editor when non-defined is NCEDIT for all
; type of files.
EDITOR doc wp %f
EDITOR lbm dpaint %f
EDITOR gif neopaint %f
EDITOR pcx neopaint %f
EDITOR *   ncedit %f
;
;
;
; EXTRACTPATH <Path>
; With this command you define the path where files must be extracted to,
; when this command is NOT used, AVIEW will prompt you for a path.
; EXTRACTPATH c:\unpacked
;
;
;
; FSSORT <Key> [Ascending|Descending]
; With this statement you can define how AVIEW must sort the file-selector
; file-list as default, valid sort-keys are: NAME, EXTENSION, SIZE, DATETIME,
; and UNSORTED, optional you can specify with ASCENDING or DESCENDING the
; default sort direction, default is ASCENDING.
FSSORT name ascending
;
;
;
; NOCOLOR
; With this statement you force AVIEW in black and white mode, this can be
; handy for laptop-users who have a LCD-Screen.
;NOCOLOR
;
;
;
; NOEMS
; With this statement you force AVIEW to NOT use any EMS memory
;NOEMS
;
;
;
; NOMOUSE
; With this statement you force AVIEW to ignore the mouse when detected.
;NOMOUSE
;
;
;
; NOPATHS
; With this statement you tell AVIEW to NOT extract any path-information
; from an archive.
;NOPATHS
;
;
;
; NOSNOW
; With this statement you tell aview to suppress snow on (old) CGA-Cards.
;NOSNOW
;
;
;
; NOXMS
; with this statement you force AVIEW to NOT use any XMS memory.
;NOXMS
;
;
;
; SCANNER <Scanner> [<Parameters>]
; With this command you define the virus-scanner to use after files are
; unpacked with the unpack function, when no scanner is defined, no virus-
; scan will be performed.
SCANNER tbscan %f af ba in ll=1 ln=c:\aview4us.log lo nb nm
;
;
;
; SCANPROMPT
; With this statement you force AVIEW to ask you to execute the virus-
; scanner after files are extracted from an archive.
;SCANPROMPT
;
;
;
; SCREENMODE <Lines>
; With this statement you can define how many lines per screen AVIEW must
; use, valid number of lines are 25, 35, 40, 43 and 50, note that a number
; greater than 25 needs a EGA of VGA display-adapter.
SCREENMODE 25
;
;
;
; SHOWSPECIAL
; Special 'hidden' files are not shown by AVIEW as default, this is done
; for example for the UC2 U$~*.* files, when you enable this keyword,
; AVIEW will handle the special files as normal files.
;SHOWSPECIAL
;
;
;
; SORT <Key> [Ascending|Descending]
; With this statement you can define how AVIEW must sort the file-lists as
; default, valid sort-keys are: NAME, EXTENSION, ORGSIZE, CMPSIZE, DATETIME,
; METHOD and UNSORTED, optional you can specify with ASCENDING or DESCENDING
; the default sort direction, default is ASCENDING.
SORT name ascending
;
;
;
; SWAPMODE <Mode>
; With this command you define how AVIEW must swap before executing of
; an external utility, mode can be:  0 - Swap to EMS/Disk
;                                    1 - Swap to EMS/XMS/Disk
;                                    2 - Swap to XMS/Disk
;                                    3 - Swap to XMS/EMS/Disk
;                                    4 - Swap to Disk
SWAPMODE 1
;
;
;
; SWAPPATH <Path>
; With this command you define the path AVIEW must use to write it's
; swapfiles in.
SWAPPATH c:\aviewtmp
;
;
;
; TEMPPATH <Path>
; With this command you define the path AVIEW must use as work-directory,
; this can be a ram-drive which will speed-up AVIEW dramatically, when the
; directory does not exist, it will be created.
TEMPPATH c:\aviewtmp
;
;
;
; TEMPREMOVE
; With this command you force AVIEW to remove the TEMPPATH and all it
; contents when AVIEW exits to DOS. As default AVIEW will only removes
; it's temppry directories/files created in the TEMPPATH.
;TEMPREMOVE
;
;
;
; VIEWER <Trigger> <Viewer> [<Parameters>]
; With this command you can define up to 64 viewers, with <Trigger> you
; specify the file-extension which must trigger the viewer, the <Trigger>
; may include wildcards. Default viewer when non-defined is WPVIEW for all
; type of files.
VIEWER fli quickfli %f
VIEWER gl  grasprt %f
VIEWER gif bitmap %f
VIEWER pcx bitmap %f
VIEWER *   wpview %f
;
;
;
; WAIT
; With this command you force AVIEW to wait on a keypress after each
; external utility executed.
;WAIT
;
;
;
; -----------------------------------------------------------------------------
; The following commands concerns the configuration of the parameters passed
; by AVIEW to the archive-utils.
; For normal operation of AVIEW, you don't need to change this, all the
; following commands are optional, the sample commands reflects the standard
; default configuration of AVIEW.
; -----------------------------------------------------------------------------
;
; xxxADD <Command-line>
; xxxDELETE <Command-Line>
; xxxEXTRACT <Command-Line>
; NOxxx
; xxxSFX <Type> <Parameters|Command-Line>
; xxxTEST <Command-Line>
; xxxUNPACK <Command-Line>
; xxxUPDATE <Command-Line>
; xxxRESPONSE <Response-char>
; With these commands you can configure the interface between AVIEW and the
; external archive-utilitys, the xxx can be ARC, ARJ, HYP, LHA, PAK, RAR,
; SQZ, UC2, ZIP or ZOO.
; xxxADD      - Defines which parameters to use for adding a file to
;               an archive, this is used for the ADD function (F7).
; xxxDELETE   - Defines which parameters to use for deleting a file or files
;               from an archive, this is used for the DELETE function
;               (F8 or DEL).
; xxxEXTRACT  - Defines which parameters to use for extracting a file or files
;               from an archive, this is used for the extract-function.
; NOxxx       - Disable archiver.
; xxxRESPONSE - Defines which charachter to use before a file name to tell
;               the archiver that it is a response file, AVIEW defines
;               automatically when to use this or not.
; xxxSFX      - Defines which utility to start or which parameters to use
;               for creating self-extracting archives, for type you can
;               define PARAM to define the parameters to use with the xxxADD
;               command, or EXEC to define an external utility to execute.
; xxxTEST     - Defines which parameters to use for testing an archive.
; xxxUNPACK   - Defines which parameters to use for extracting ONE file from
;               an archive WITHOUT path, this is used internally in AVIEW.
; xxxUPDATE   - Defines which parameters to use for updating a file in an
;               archive, this is used after you edited a file from an archive.
;
; NOTE: There are two variables, %A and %F, thes two must ALWAYS exist in one
;       of the above parameters (except NOxxx and xxxRESPONSE, xxxSFX only
;       needs %A), %A will be replaced by AVIEW with the name of the archive
;       processed, and %F with a filename for adding/deleting/updating, note
;       that AVIEW will automatically add the response-file-char before the
;       filename when needed. The variables %A and %F are NOT optional!
;
;
; PKPak/PKUnpak - for ARC files.
ARCadd      PKPAK -a %a %f
ARCdelete   PKPAK -d %a %f
ARCextract  PKUNPAK -r %a %f
ARCsfx
ARCtest     PKUNPAK -t %a
ARCunpack   PKUNPAK %a %f
ARCupdate   PKPAK -u %a %f
ARCresponse @
;NOARC
;
;
;
; ARJ - for ARJ files.
ARJadd      ARJ a -jm -m1 -e %a %f
ARJdelete   ARJ d %a %f
ARJextract  ARJ x -y %a %f
ARJsfx      PARAM -je
ARJtest     ARJ t %a
ARJunpack   ARJ e %a %f
ARJupdate   ARJ u -jm -m1 -e %a %f
ARJresponse !
;NOARJ
;
;
;
; HYP - for HYPER files.
HYPadd      HYPER -a %a %f
HYPdelete   HYPER -d %a %f
HYPextract  HYPER -xo -p %a %f
HYPsfx
HYPtest
HYPunpack   HYPER -xo %a %f
HYPupdate   HYPER -u %a %f
HYPresponse
;NOHYP
;
;
;
; LHA - For LZH or LHA files.
LHAadd      LHA a %a %f
LHAdelete   LHA d %a %f
LHAextract  LHA x -c %a %f
LHAsfx      EXEC LHA s %a
LHAtest     LHA t %a
LHAunpack   LHA e %a %f
LHAupdate   LHA u %a %f
LHAresponse @
;NOLHA
;
;
;
; PAK - For PAK files.
PAKadd      PAK A %a %f
PAKdelete   PAK D %a %f
PAKextract  PAK E /WA /I %a %f
PAKsfx      PARAM /EXE
PAKtest     PAK T %a
PAKunpack   PAK E %a %f
PAKupdate   PAK U %a %f
PAKresponse @
;NOPAK
;
;
;
; RAR - For RAR files.
RARadd      RAR a -m5 -std %a %f
RARdelete   RAR d -std %a %f
RARextract  RAR x -o+ -std %a %f
RARsfx      PARAM -sfx
RARtest     RAR t -std %a
RARunpack   RAR e -o+ -std %a %f
RARupdate   RAR u -m5 -std %a %f
RARresponse @
;NORAR
;
;
;
; SQZ - For Squeeze files.
SQZadd      SQZ a /m4 %a %f
SQZdelete   SQZ d %a %f
SQZextract  SQZ x %a %f
SQZsfx      EXEC SQZ s %a
SQZtest     SQZ t %a
SQZunpack   SQZ e %a %f
SQZupdate   SQZ u /m4 %a %f
SQZresponse @
;NOSQZ
;
;
;
; UC2 - For UC2 files.
UC2add      UC a -b -f -tst %a %f
UC2delete   UC d -f %a %f
UC2extract  UC e -f -s %a %f
UC2sfx
UC2test     UC t %a
UC2unpack   UC e -f %a %f
UC2update   UC a -b -f -tst %a %f
UC2response @
;NOUC2
;
;
;
; PKZip/PKUnzip - for ZIP files.
ZIPadd      PKZIP -ex %a %f
ZIPdelete   PKZIP -d %a %f
ZIPextract  PKUNZIP -d -o %a %f
ZIPsfx      EXEC ZIP2EXE %a
ZIPtest     PKUNZIP -t %a
ZIPunpack   PKUNZIP %a %f
ZIPupdate   PKZIP -u -ex %a %f
ZIPresponse @
;NOZIP
;
;
;
; ZOO - for ZOO files.
ZOOadd      ZOO -a %a %f
ZOOdelete   ZOO -d %a %f
ZOOextract  ZOO -e -S %a %f
ZOOsfx
ZOOtest     ZOO -t %a
ZOOunpack   ZOO -e %a %f
ZOOupdate   ZOO -u %a %f
ZOOresponse
;NOZOO
;
;
;
; <EOF>
